Subject: Re: [PATCHv6 net-next 1/3] sunvnet: upgrade to VIO protocol version 1.6

From: David L Stevens <[email-masked]>
Date: Mon, 22 Sep 2014 00:40:27 -0400

> On 09/18/2014 02:49 PM, Raghuram Kothakota wrote:

>> In the virtualization world, we want resources to be efficiently used and memory is
>> still very important resource. My concern is mostly because this memory usage of
>> 32+MB is on a per LDC basis. LDoms today supports a max of 128 domains, but
>> from my experience seen actual deployments of the order of 50 domains. This is
>> going up as the platforms getting more and more powerful.  If there are really
>> that many peers,  then the amount of memory consumed by one vnet instance
>> is 50 * 32+MB = 1.6GB+.  It's fine if this memory is really used, but it seems like this
>> will be useful only when the peer is another linux guest with this version of vnet and
>> also the MTU is configured to use 64K.  The memory is being wasted for all other
>> peers that either don't support 64K MTU or not configured to use it and also 
>> the switch port as obviously it doesn't support 64K MTU today.

I think I have a solution for this -- I'm doing some experimenting, but it may be a few days.

However, fundamentally, the problem is that there are n^2-n links both ways, so 50 LDOMs on the same vswitch
will always be 2450X the resources of a single pair, and lead to scary aggregate numbers. Large installations
really need more vswitches with fewer LDOMs per switch, at least with the current code.

								+-DLS